PDA

Visualizza la versione completa : installazione xmms


albe99
08-01-2006, 23:43
Salve a tutti..
Ho installato da poco sul mio portatile RedHat 8 (..e da poco mi interesso a linux..)
Premesso che i CD musicali li sento con la versione di xmms gia' installata (1.2.7) ho pero' dei problemi con gli mp3, letti sia da cd che da chiave USB.

ma veniamo al problema, volendo installare l'ultima versione di xmms (magari gli mp3 me li legge!) ho scaricato il .tar.gz e ho tentato l'installazione compilando da shell..(./configure) fallendo..

posto comunque il config.log di xmms cosi' magari qualcuno mi sa dire dov'e' l'errore dato che mer me' e' arabo.... :(

Grazie mille

---------------------------------------------------------------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.57. Invocation command line was

$ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = localhost.localdomain
uname -m = i686
uname -r = 2.4.18-14
uname -s = Linux
uname -v = #1 Wed Sep 4 11:57:57 EDT 2002

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /bin
PATH: /sbin
PATH: /usr/bin
PATH: /usr/sbin
PATH: /usr/local/bin
PATH: /usr/local/sbin
PATH: /usr/bin/X11
PATH: /usr/X11R6/bin
PATH: /root/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1518: checking build system type
configure:1536: result: i686-pc-linux-gnuoldld
configure:1544: checking host system type
configure:1558: result: i686-pc-linux-gnuoldld
configure:1584: checking for a BSD-compatible install
configure:1638: result: /usr/bin/install -c
configure:1649: checking whether build environment is sane
configure:1692: result: yes
configure:1725: checking for gawk
configure:1741: found /bin/gawk
configure:1751: result: gawk
configure:1761: checking whether make sets $(MAKE)
configure:1781: result: yes
configure:2017: checking for xmms
configure:2035: found /usr/bin/xmms
configure:2047: result: /usr/bin/xmms
configure:2134: checking for gcc
configure:2163: result: no
configure:2214: checking for cc
configure:2243: result: no
configure:2256: checking for cc
configure:2302: result: no
configure:2355: checking for cl
configure:2384: result: no
configure:2398: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnuoldld
ac_cv_build_alias=i686-pc-linux-gnuoldld
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=i686-pc-linux-gnuoldld
ac_cv_host_alias=i686-pc-linux-gnuoldld
ac_cv_path_ac_prefix_program=/usr/bin/xmms
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/xmms/xmms-1.2.10/missing --run aclocal-1.7'
ALLOCA=''
ALSA_CFLAGS=''
ALSA_LIBS=''
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /home/xmms/xmms-1.2.10/missing --run tar'
ARCH_DEFINES=''
ARCH_X86_FALSE=''
ARCH_X86_TRUE=''
AUTOCONF='${SHELL} /home/xmms/xmms-1.2.10/missing --run autoconf'
AUTOHEADER='${SHELL} /home/xmms/xmms-1.2.10/missing --run autoheader'
AUTOMAKE='${SHELL} /home/xmms/xmms-1.2.10/missing --run automake-1.7'
AWK='gawk'
BUILD_INCLUDED_LIBINTL=''
CATOBJEXT=''
CC=''
CCAS=''
CCASFLAGS=''
CCDEPMODE=''
CFLAGS=''
CPP=''
CPPFLAGS=''
CYGPATH_W='echo'
DATADIRNAME=''
DEFS=''
DEPDIR=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EFFECT_PLUGINS=''
EFFECT_PLUGIN_DIR=''
EGREP=''
ESD_CFLAGS=''
ESD_CONFIG=''
ESD_LIBS=''
EXEEXT=''
GENCAT=''
GENERAL_PLUGINS=''
GENERAL_PLUGIN_DIR=''
GLIBC21=''
GLIB_CFLAGS=''
GLIB_CONFIG=''
GLIB_LIBS=''
GMSGFMT=''
GTK_CFLAGS=''
GTK_CONFIG=''
GTK_LIBS=''
HAVE_ALSA_FALSE=''
HAVE_ALSA_TRUE=''
HAVE_CDROM_FALSE=''
HAVE_CDROM_TRUE=''
HAVE_ESD_FALSE=''
HAVE_ESD_TRUE=''
HAVE_LINUX_JOYSTICK_FALSE=''
HAVE_LINUX_JOYSTICK_TRUE=''
HAVE_MIKMOD_FALSE=''
HAVE_MIKMOD_TRUE=''
HAVE_OGGVORBIS_FALSE=''
HAVE_OGGVORBIS_TRUE=''
HAVE_OPENGL_FALSE=''
HAVE_OPENGL_TRUE=''
HAVE_OSS_FALSE=''
HAVE_OSS_TRUE=''
HAVE_SOLARIS_FALSE=''
HAVE_SOLARIS_TRUE=''
HAVE_SUN_FALSE=''
HAVE_SUN_TRUE=''
INPUT_PLUGINS=''
INPUT_PLUGIN_DIR=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
INSTOBJEXT=''
INTLBISON=''
INTLLIBS=''
INTLOBJS=''
INTL_LIBTOOL_SUFFIX_PREFIX=''
LDFLAGS=''
LIBICONV=''
LIBINTL=''
LIBMIKMOD_CFLAGS=''
LIBMIKMOD_CONFIG=''
LIBMIKMOD_LDADD=''
LIBMIKMOD_LIBS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LN_S=''
LTLIBICONV=''
LTLIBINTL=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/xmms/xmms-1.2.10/missing --run makeinfo'
MKINSTALLDIRS=''
MSGFMT=''
MSGMERGE=''
OBJEXT=''
OGG_CFLAGS=''
OGG_LIBS=''
OPENGL_LIBS=''
OUTPUT_PLUGINS=''
OUTPUT_PLUGIN_DIR=''
PACKAGE='xmms'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PLUGIN_LDFLAGS=''
POSIX_LIBS=''
POSUB=''
PTHREAD_LIBS=''
RANLIB=''
SET_MAKE=''
SHELL='/bin/sh'
SM_LIBS=''
STRIP=''
USE_INCLUDED_LIBINTL=''
USE_IPV6=''
USE_IPV6_FALSE=''
USE_IPV6_TRUE=''
USE_NLS=''
USE_SIMD_FALSE=''
USE_SIMD_TRUE=''
USE_X86ASM_FALSE=''
USE_X86ASM_TRUE=''
VERSION='1.2.10'
VISUALIZATION_PLUGINS=''
VISUALIZATION_PLUGIN_DIR=''
VM_LIBS=''
VORBISENC_LIBS=''
VORBISFILE_LIBS=''
VORBIS_CFLAGS=''
VORBIS_LIBS=''
XGETTEXT=''
XMMS_DEFINES=''
XMMS_PATH=''
Z_LIBS=''
ac_ct_CC=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
ac_prefix_program='/usr/bin/xmms'
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__include=''
am__leading_dot='.'
am__quote=''
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnuoldld'
build_alias=''
build_cpu='i686'
build_os='linux-gnuoldld'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='NONE'
host='i686-pc-linux-gnuoldld'
host_alias=''
host_cpu='i686'
host_os='linux-gnuoldld'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/xmms/xmms-1.2.10/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir=''
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
plugindir=''
pluginsubs=''
prefix='/usr'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
subdirs=''
sysconfdir='${prefix}/etc'
target_alias=''
xmmsdir=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define DEV_DSP "/dev/dsp"
#define DEV_MIXER "/dev/mixer"
#define PACKAGE "xmms"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define VERSION "1.2.10"

configure: exit 1

mykol
09-01-2006, 00:00
non lo so ma non ti conviene usare una distribuzione recente ? nel mondo linux il progresso è rapidissimo e le distribuzioni attuali sono molto più facili da usare. Ti consiglio la Mandriva 2006, la SimplyMepis o la Kanotix (ovviamente le ultime versioni).

Io sto postando dalla kanotix appena installata ed ho scoperto che ha già tutto ciò che serve per il multimediale, per l'audio, per i video (divx, ecc..) per i dvd. Con VLC mi esegue perfettamente addirittura una immagine iso di un dvd (non protetto penso), solamente cliccando sul nome del file. Ho solo dovuto installare la localizzazione italiana.

fai qualche ricerca sul forum per documentarti un pò

Olorin
09-01-2006, 00:48
Anch'io ti consiglio mandriva 2006. Poi ti installi urpmi e con quello installi tutto automaticamente. ho installato xmms proprio un'ora fa.. :)

cacao74
09-01-2006, 00:55
Originariamente inviato da albe99
ma veniamo al problema, volendo installare l'ultima versione di xmms (magari gli mp3 me li legge!) ho scaricato il .tar.gz e ho tentato l'installazione compilando da shell..(./configure) fallendo..

mancano i tools di compilazione del software.
prova ad installare gcc, utilizzando il tool grafico per la gestione dei pacchetti (naviga tra i menu).

sempre dal tool che ti ho indicato, dovresti trovare anche la versione (non recente) di xmms, potresti installare quella, in modo tale da risolvere eventuali dipendenze.

ciao

albe99
09-01-2006, 01:12
Ti consiglio la Mandriva 2006

..non so' se il mio portatile lo supporta, non sono riuscito ad installare neppure Mandrake 10.1, il fatto e' che la casa consigliava RedHat 8 e con quello funziona tutto..


mancano i tools di compilazione del software.prova ad installare gcc, utilizzando il tool grafico per la gestione dei pacchetti

..grazie mille, provo a darmi da fare..

Olorin
09-01-2006, 10:36
Per Red hat 8 se non sbaglio dovresti installarti apt-get. Fa quello che urpmi fa su mandriva.
Comunque prova a dare un'occhiata qui;
http://www.linuxfan.it/icoli/PrimiPassiRedhat
In basso ti spiegano come installare xmms su Red hat.

albe99
09-01-2006, 18:09
Ok!.. :D
ho installato i packet per la compilazione (gcc ecc..) e tutto e' andato a posto...
sono riuscito ad installare l'ultima versione di xmms e finalmente posso sentire gli mp3!! :maLOL:

Grezie mille, Ciao.

Loading